Update Partition

patch

/applications/{applicationName}/databases/{databaseName}/partitions

Updates an existing partition.

User authentication for both source and target cubes are required to create or update a transparent or replicated partition.

Request

Path Parameters
Query Parameters
Back to Top

Response

204 Response

OK

Partition updated successfully.

400 Response

Bad Request

Failed to update partition.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to update a partition on the current target Essbase cube.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command to Update a Transparent Partition

In the following REST API example, the target cube, P_Market.Demo, is based on the Essbase gallery sample Demo.Basic. The Market dimension of P_Market.Demo is comprised of transparent partitions to various source cubes (one for each individual market region: Boston, Dallas, Chicago, and 7 other cities).

call properties.bat
curl -X PATCH "https://myserver.example.com:9001/essbase/agent/essbase/rest/v1/applications/P_Market/databases/Demo/partitions" -H "accept: application/json" -H "Content-Type: application/json" --data-binary "@./input_partitioninfo.json" -u %User%:%Password%

Sample JSON Payload

The cURL example above delivers the following JSON payload in input_partitioninfo.json.

{
      "type" : "TRANSPARENT",
          "isNew": true,
          "sourceInfo": {
              "serverName": "https://myserver.example.com:9001/essbase/agent",
              "applicationName": "P_Boston",
              "databaseName": "Demo",
              "userName": "username",
              "password": "password"
           },
          "targetInfo": {
              "serverName": "https://myserver.example.com:9001/essbase/agent",
              "applicationName": "P_Market",
              "databaseName": "Demo",
              "userName": "username",
              "password": "password"
           },
          "areas": [ {
              "sourceArea": "\"Actual\", \"Budget\"",
              "targetArea": "\"Actual\", \"Budget\", \"Boston\""
           } ],
          "mappings": [ {
              "targetMember": "\"Boston\""
           } ]
}
Back to Top